Bug 688306 - Update notification broken in current F15
Update notification broken in current F15
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
Depends On:
Blocks: F15Beta/F15BetaBlocker
  Show dependency treegraph
Reported: 2011-03-16 15:07 EDT by Adam Williamson
Modified: 2011-03-25 13:31 EDT (History)
6 users (show)

See Also:
Fixed In Version: gnome-settings-daemon-2.91.92-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2011-03-25 13:31:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Adam Williamson 2011-03-16 15:07:23 EDT
I'm really not sure what component is supposed to implement update notification, so I'm not sure what to file this against. It may be a dupe, I know mclasen is aware of the problem, but not sure if it's filed in Bugzilla yet. Please close if it's a dupe.

In current F15, if using Shell rather than the fallback interface, update notification seems to be broken: you just never get notified of available updates. This is a Beta blocker per criterion "The desktop default update manager must not periodically check for updates when the system is booted live, but must periodically check for updates when running on an installed system".
Comment 1 Owen Taylor 2011-03-16 15:16:10 EDT
Matthias seemed to be aware of the problem and think there was a fix somewhere pending from a conversation earlier today, but anyways is not a shell bug.
Comment 2 Adam Williamson 2011-03-18 13:21:55 EDT
Discussed at 2011-03-18 blocker review meeting. Accepted as a Beta blocker per criterion cited above.
Comment 3 Adam Williamson 2011-03-25 13:31:23 EDT
So, this was fixed in 2.91.91-3:

- Add a patch from upstream to fix the updates plugin.

I can confirm the fix, I'm seeing update notifications now. 2.91.92-1 is the current 'stable' package, so we can close this report.

Note You need to log in before you can comment on or make changes to this bug.